Loading...
Searching...
No Matches
juce_ARAHosting.h File Reference

## Classes

class | juce::ARAEditGuard
| Reference counting helper class to ensure that the DocumentController is in editable state. More...
struct | juce::ARAHostModel::ConversionFunctions< A, B >
| Allows converting, without warnings, between pointers of two unrelated types. More...
class | juce::ARAHostModel::ManagedARAHandle< Base, PtrIn >
| This class is used by the various ARA model object helper classes, such as MusicalContext, AudioSource etc. More...
class | juce::ARAHostModel::AudioSource
| Helper class for the host side implementation of the ARA AudioSource model object. More...
class | juce::ARAHostModel::AudioModification
| Helper class for the host side implementation of the ARA AudioModification model object. More...
struct | juce::ARAHostModel::DeletionListener
| This class is used internally by PlaybackRegionRegistry to be notified when a PlaybackRegion object is deleted. More...
struct | juce::ARAHostModel::PlaybackRegion
| Helper class for the host side implementation of the ARA PlaybackRegion model object. More...
class | juce::ARAHostModel::MusicalContext
| Helper class for the host side implementation of the ARA MusicalContext model object. More...
class | juce::ARAHostModel::RegionSequence
| Helper class for the host side implementation of the ARA RegionSequence model object. More...
class | juce::ARAHostModel::PlaybackRegionRegistry< RendererRef, Interface >
| Base class used by the ::PlaybackRendererInterface and ::EditorRendererInterface plugin extension interfaces. More...
class | juce::ARAHostModel::PlugInExtensionInstance
| Wrapper class for ARA::ARAPlugInExtensionInstance*. More...
class | juce::ARAHostDocumentController
| Wrapper class for ARA::Host::DocumentController. More...

## Namespaces

namespace | juce
namespace | juce::ARAHostModel

## Typedefs

using | juce::ARAHostModel::PlaybackRendererInterface = PlaybackRegionRegistry<ARA::ARAPlaybackRendererRef, ARA::ARAPlaybackRendererInterface>
| Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.
using | juce::ARAHostModel::EditorRendererInterface = PlaybackRegionRegistry<ARA::ARAEditorRendererRef, ARA::ARAEditorRendererInterface>
| Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.

## Functions

void JUCE_API | juce::createARAFactoryAsync (AudioPluginInstance &instance, std::function< void(ARAFactoryWrapper)> cb)
| Calls the provided callback with an ARAFactoryWrapper object obtained from the provided AudioPluginInstance.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited